Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class GeneralName.Type

`java.lang.Object
oracle.security.crypto.cert.GeneralName.Type`

Enclosing class:
  GeneralName

public static class GeneralName.Type
extends java.lang.Object

The underlying name type of a `GeneralName`.

Field Summary
`static GeneralName.Type` | `DIRECTORY_NAME` A `X500Name` distinguished name.
`static GeneralName.Type` | `DNS_NAME` A DNS name, of the form "host.domain.com".
`static GeneralName.Type` | `EDI_PARTY_NAME`
`static GeneralName.Type` | `IP_ADDRESS` An IP address, as a network-byte-ordered integer encoded as an `ASN1OctetString`, not the "dotted quad" string representation.
`static GeneralName.Type` | `OTHER_NAME`
`static GeneralName.Type` | `REGISTERED_ID`
`static GeneralName.Type` | `RFC822_NAME` An email address, of the form "user@domain.com" encoded as an `ASN1String` of type `ASN1.IA5STRING`, not including descriptions like "<Jane User>".
`static GeneralName.Type` | `URI`
`static GeneralName.Type` | `X400_ADDRESS`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OTHER_NAME

    public static final GeneralName.Type OTHER_NAME

### RFC822_NAME

    public static final GeneralName.Type RFC822_NAME

  An email address, of the form "user@domain.com" encoded as an `ASN1String` of type `ASN1.IA5STRING`, not including descriptions like "<Jane User>".

### DNS_NAME

    public static final GeneralName.Type DNS_NAME

  A DNS name, of the form "host.domain.com".

### X400_ADDRESS

    public static final GeneralName.Type X400_ADDRESS

### DIRECTORY_NAME

    public static final GeneralName.Type DIRECTORY_NAME

  A `X500Name` distinguished name.

### EDI_PARTY_NAME

    public static final GeneralName.Type EDI_PARTY_NAME

### URI

    public static final GeneralName.Type URI

### IP_ADDRESS

    public static final GeneralName.Type IP_ADDRESS

  An IP address, as a network-byte-ordered integer encoded as an `ASN1OctetString`, not the "dotted quad" string representation.

### REGISTERED_ID

    public static final GeneralName.Type REGISTERED_ID

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.